"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lazyRefMapper = void 0;
const JsonSchemaMapperContainer_1 = require("../../registries/JsonSchemaMapperContainer");
const generics_1 = require("../../utils/generics");
const ref_1 = require("../../utils/ref");
function lazyRefMapper(jsonLazyRef, options) {
    const name = jsonLazyRef.name;
    if (options.$refs?.find((t) => t === jsonLazyRef.target)) {
        return (0, ref_1.createRef)(name, jsonLazyRef.schema, options);
    }
    options.$refs = [...(options.$refs || []), jsonLazyRef.target];
    const schema = jsonLazyRef.getType() && (0, JsonSchemaMapperContainer_1.execMapper)("schema", [jsonLazyRef.schema], (0, generics_1.mapGenericsOptions)(options));
    return (0, ref_1.toRef)(jsonLazyRef.schema, schema, options);
}
exports.lazyRefMapper = lazyRefMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("lazyRef", lazyRefMapper);
//# sourceMappingURL=lazyRefMapper.js.map