"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@tsed/core");
const SpecTypes_1 = require("../../domain/SpecTypes");
const JsonSchemaMapperContainer_1 = require("../../registries/JsonSchemaMapperContainer");
function generate(model, options) {
    options = {
        ...options,
        specType: SpecTypes_1.SpecTypes.OPENAPI
    };
    const specJson = {
        paths: (0, JsonSchemaMapperContainer_1.execMapper)("paths", [model], options)
    };
    specJson.tags = (0, core_1.uniqBy)(options.tags, "name");
    if (Object.keys((0, core_1.getValue)(options, "components.schemas", {})).length) {
        specJson.components = {
            schemas: options.components.schemas
        };
    }
    return specJson;
}
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("generate", generate, SpecTypes_1.SpecTypes.OPENAPI);
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("generate", generate, SpecTypes_1.SpecTypes.SWAGGER);
//# sourceMappingURL=generate.js.map