"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentType = void 0;
const returns_1 = require("./returns");
/**
 * Sets the Content-Type HTTP header to the MIME type as determined by mime.lookup() for the specified type.
 * If type contains the “/” character, then it sets the `Content-Type` to type.
 *
 * ```typescript
 *  @ContentType('.html');              // => 'text/html'
 *  @ContentType('html');               // => 'text/html'
 *  @ContentType('json');               // => 'application/json'
 *  @ContentType('application/json');   // => 'application/json'
 *  @ContentType('png');                // => image/png
 *  private myMethod() {}
 * ```
 *
 * @param type
 * @decorator
 * @operation
 * @response
 * @headers
 */
function ContentType(type) {
    return (0, returns_1.Returns)().ContentType(type);
}
exports.ContentType = ContentType;
//# sourceMappingURL=contentType.js.map