import { getValue, uniq } from "@tsed/core";
import { mapOpenSpecInfo } from "./mapOpenSpecInfo.js";
/**
 * @ignore
 * @param spec
 * @param version
 * @param specVersion
 * @param acceptMimes
 */
export function mapOpenSpec2(spec, { version, specVersion, acceptMimes = ["application/json"] }) {
    const { paths, security, tags, host, basePath, schemes, consumes = [], produces = ["application/json"], definitions, parameters, responses, securityDefinitions, externalDocs } = spec;
    return {
        swagger: specVersion,
        consumes: uniq([...acceptMimes, ...consumes]),
        produces: uniq([...produces]),
        info: mapOpenSpecInfo(getValue(spec, "info", {})),
        paths,
        host,
        basePath,
        schemes,
        definitions,
        parameters,
        responses,
        security,
        securityDefinitions,
        tags,
        externalDocs
    };
}
//# sourceMappingURL=mapOpenSpec2.js.map