import { getValue } from "@tsed/core";
import { mapOpenSpecInfo } from "./mapOpenSpecInfo.js";
/**
 * @ignore
 * @param spec
 * @param version
 * @param specVersion
 */
export function mapOpenSpec3(spec, { specVersion }) {
    const { servers, paths, components, security, tags, externalDocs } = spec;
    return {
        openapi: specVersion,
        info: mapOpenSpecInfo(getValue(spec, "info", {})),
        servers,
        paths,
        components,
        security,
        tags,
        externalDocs
    };
}
//# sourceMappingURL=mapOpenSpec3.js.map