import { OpenSpecHash, OS3MediaType, OS3RequestBody } from "@tsed/openspec";
import { JsonMap } from "./JsonMap";
import { JsonSchema } from "./JsonSchema";
export type JsonRequestBodyOptions = OS3RequestBody<JsonSchema>;
export declare class JsonRequestBody extends JsonMap<JsonRequestBodyOptions> {
    $kind: string;
    constructor(obj?: Partial<JsonRequestBodyOptions>);
    description(description: string): this;
    content(content: OpenSpecHash<OS3MediaType<JsonSchema>>): this;
    addContent(mediaType: string, schema: JsonSchema, examples?: any): this;
    required(required: boolean): this;
}
